Contents

# FreeFile Function

Vráti ďalšie dostupné číslo súboru pre otvorenie súboru. Pomocou tejto funkcie je možné otvoriť súbor s číslom súboru, ktoré ešte nie je použité.

### Syntax:

    FreeFile

### Return type:

Celé číslo

### Parameters:

Túto funkciu je možné použiť iba okamžite pred príkazom Open. FreeFile vráti ďalšie dostupné číslo súboru, ale nerezervuje ho.

### Error codes:

5 Neplatné volanie procedúry

67 Príliš veľa otvorených súborov

### Example:

      Sub ExampleWorkWithAFile
          Dim iNumber As Integer
          Dim sLine As String
          Dim aFile As String
          Dim sMsg As String
          aFile = "C:\Users\ThisUser\data.txt"
          iNumber = Freefile
          Open aFile For Output As #iNumber
          Print #iNumber, "Toto je riadok textu."
          Print #iNumber, "Toto je ďalší riadok textu."
          Close #iNumber
          iNumber = Freefile
          Open aFile For Input As iNumber
          While Not eof(iNumber)
              Line Input #iNumber, sLine
              If sLine <>"" Then
                  sMsg = sMsg & sLine & chr(13)
              End If
          Wend
          Close #iNumber
          MsgBox sMsg
      End Sub

      Sub ExampleWorkWithAFile
          Dim iNumber As Integer
          Dim sLine As String
          Dim aFile As String
          Dim sMsg As String
          aFile = "~/data.txt"
          iNumber = Freefile
          Open aFile For Output As #iNumber
          Print #iNumber, "This is a line of text"
          Print #iNumber, "This is another line of text"
          Close #iNumber
          iNumber = Freefile
          Open aFile For Input As iNumber
          While Not eof(iNumber)
              Line Input #iNumber, sLine
              If sLine <>"" Then
                  sMsg = sMsg & sLine & chr(13)
              End If
          Wend
          Close #iNumber
          MsgBox sMsg
      End Sub

Related Topics

Close Statement

Open Statement

Print# Statement